StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Macros | Functions
starpu_util.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <starpu_config.h>`
`#include <starpu_task.h>`

Go to the source code of this file.

## Macros
#define | STARPU_GNUC_PREREQ(maj, min)
#define | STARPU_UNLIKELY(expr)
#define | STARPU_LIKELY(expr)
#define | STARPU_ATTRIBUTE_UNUSED
#define | STARPU_ATTRIBUTE_INTERNAL
#define | STARPU_ATTRIBUTE_MALLOC
#define | STARPU_ATTRIBUTE_WARN_UNUSED_RESULT
#define | STARPU_ATTRIBUTE_PURE
#define | STARPU_ATTRIBUTE_ALIGNED(size)
#define | STARPU_INLINE
#define | endif
#define | STARPU_WARN_UNUSED_RESULT
#define | STARPU_POISON_PTR
#define | STARPU_MIN(a, b)
#define | STARPU_MAX(a, b)
#define | STARPU_ASSERT(x)
#define | STARPU_ASSERT_MSG(x, msg,...)
#define | STARPU_ABORT()
#define | STARPU_ABORT_MSG(msg,...)
#define | STARPU_CHECK_RETURN_VALUE(err, message,...)
#define | STARPU_CHECK_RETURN_VALUE_IS(err, value, message,...)
#define | STARPU_ATOMIC_SOMETHING(name, expr)
#define | STARPU_RMB()
#define | STARPU_WMB()

## Functions
static __starpu_inline int | starpu_get_env_number (const char *str)
void | starpu_trace_user_event (unsigned long code)
void | starpu_execute_on_each_worker (void(*func)(void *), void *arg, uint32_t where)
void | starpu_execute_on_each_worker_ex (void(*func)(void *), void *arg, uint32_t where, const char *name)
void | starpu_execute_on_specific_workers (void(*func)(void *), void *arg, unsigned num_workers, unsigned *workers, const char *name)
int | starpu_data_cpy (starpu_data_handle_t dst_handle, starpu_data_handle_t src_handle, int asynchronous, void(*callback_func)(void *), void *callback_arg)
double | starpu_timing_now (void)